Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # usbdriverparam.h Go to the documentation of this file.
    00001
    00060 #ifndef usbdriverparam_H
    00061
    00062 #ifndef __doxygen_HIDE
    00063
    00064 #define usbdriverparam_H
    00065
    00066 #endif /* __doxygen_HIDE */
    00067
    00069 #define MAX_TRANSFER_SIZE 2048
    00070
    00075 #define MAX_QUEUE_SIZE 100
    00076
    00078 #define MEM_POOL_SIZE 10240
    00079
    00081 #define TRANSACTION_TIMEOUT_RX 500
    00082
    00084 #define TRANSACTION_TIMEOUT_TX 500
    00085
    00086 #ifdef IX_USB_DMA
    00087
    00089 #undef IX_USB_ENABLE_DMA
    00090
    00092 #define DMA_ENABLED TRUE
    00093 #define DMA_DISABLED FALSE
    00094 #define NO_DMA_CHANNEL FALSE
    00095
    00097 static BOOL EPDMAEnabledTable[] =
    00098 {
    00099 #ifdef ENABLE_DMA
    00100
    00101     /* EP_0 */ NO_DMA_CHANNEL,
    00102     /* EP_1 */ DMA_ENABLED,
    00103     /* EP_2 */ DMA_ENABLED,
    00104     /* EP_3 */ DMA_ENABLED,
    00105     /* EP_4 */ DMA_ENABLED,
    00106     /* EP_5 */ NO_DMA_CHANNEL,
    00107     /* EP_6 */ DMA_ENABLED,
    00108     /* EP_7 */ DMA_ENABLED,
    00109     /* EP_8 */ DMA_ENABLED,
    00110     /* EP_9 */ DMA_ENABLED,
    00111     /* EP_10 */ NO_DMA_CHANNEL,
    00112     /* EP_11 */ DMA_ENABLED,
    00113     /* EP_12 */ DMA_ENABLED,
    00114     /* EP_13 */ DMA_ENABLED,
    00115     /* EP_14 */ DMA_ENABLED,
    00116     /* EP_15 */ NO_DMA_CHANNEL
    00117
    00118 #else
    00119
    00120     /* EP_0 */ NO_DMA_CHANNEL,
    00121     /* EP_1 */ DMA_DISABLED,
    00122     /* EP_2 */ DMA_DISABLED,
    00123     /* EP_3 */ DMA_DISABLED,
    00124     /* EP_4 */ DMA_DISABLED,
    00125     /* EP_5 */ NO_DMA_CHANNEL,
    00126     /* EP_6 */ DMA_DISABLED,
    00127     /* EP_7 */ DMA_DISABLED,
    00128     /* EP_8 */ DMA_DISABLED,
    00129     /* EP_9 */ DMA_DISABLED,
    00130     /* EP_10 */ NO_DMA_CHANNEL,
    00131     /* EP_11 */ DMA_DISABLED,
    00132     /* EP_12 */ DMA_DISABLED,
    00133     /* EP_13 */ DMA_DISABLED,
    00134     /* EP_14 */ DMA_DISABLED,
    00135     /* EP_15 */ NO_DMA_CHANNEL
    00136
    00137 #endif
    00138 };
    00139
    00140 #endif /* IX_USB_DMA */
    00141
    00142 #endif /* usbdriverparam_H */
    00143
Automatically generated from sources. © Intel Corp. 2003